Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IdeMemoryManager Class Reference

`#include <deMemory.hpp>`

Inheritance diagram for IdeMemoryManager:

[legend]
List of all members.

## Public Types
enum | MallocType { RegMalloc = 1, Calloc, New, NewArray }
enum | FreeType { RegFree = 1, Delete, DeleteArray }
## Public Member Functions
virtual deBoolean | IsInitialized ()=0
| function to see if we initialized properly
virtual void * | Malloc (unsigned int Size, MallocType Type, const char *File, long Line)=0
virtual void | Free (void *Ptr, FreeType Type, const char *File, long Line)=0
virtual void * | MemCpy (void *To, const void *From, unsigned int Size, const char *File, long Line)=0
virtual void * | MemSet (void *To, int Value, unsigned int Size, const char *File, long Line)=0
## Protected Member Functions
| ~IdeMemoryManager ()

## Member Enumeration Documentation

enum IdeMemoryManager::FreeType

  | Enumeration values:
  RegFree |
  Delete |
  DeleteArray |

enum IdeMemoryManager::MallocType

  | Enumeration values:
  RegMalloc |
  Calloc |
  New |
  NewArray |

## Constructor & Destructor Documentation

IdeMemoryManager::~IdeMemoryManager | ( |  | ) | `[inline, protected]`

## Member Function Documentation

virtual void IdeMemoryManager::Free | ( | void * | Ptr,
|  | FreeType | Type,
|  | const char * | File,
|  | long | Line
| ) | `[pure virtual]`

| Implemented in deMemoryManager.

virtual deBoolean IdeMemoryManager::IsInitialized | ( |  | ) | `[pure virtual]`

| function to see if we initialized properly Implemented in deMemoryManager.

virtual void* IdeMemoryManager::Malloc | ( | unsigned int | Size,
|  | MallocType | Type,
|  | const char * | File,
|  | long | Line
| ) | `[pure virtual]`

| Implemented in deMemoryManager.

virtual void* IdeMemoryManager::MemCpy | ( | void * | To,
|  | const void * | From,
|  | unsigned int | Size,
|  | const char * | File,
|  | long | Line
| ) | `[pure virtual]`

| Implemented in deMemoryManager.

virtual void* IdeMemoryManager::MemSet | ( | void * | To,
|  | int | Value,
|  | unsigned int | Size,
|  | const char * | File,
|  | long | Line
| ) | `[pure virtual]`

| Implemented in deMemoryManager.

The documentation for this class was generated from the following file:

- deMemory.hpp